Namespaces | Functions
libpagemaker_utils.cpp File Reference
`#include "libpagemaker_utils.h"`
`#include <cassert>`
`#include <cstdarg>`

## Namespaces
| libpagemaker

## Functions
uint8_t | libpagemaker::readU8 (const RVNGInputStreamPtr &input, bool)
int8_t | libpagemaker::readS8 (const RVNGInputStreamPtr &input, bool)
uint16_t | libpagemaker::readU16 (const RVNGInputStreamPtr &input, bool bigEndian)
int16_t | libpagemaker::readS16 (const RVNGInputStreamPtr &input, const bool bigEndian)
uint32_t | libpagemaker::readU32 (const RVNGInputStreamPtr &input, bool bigEndian)
int32_t | libpagemaker::readS32 (const RVNGInputStreamPtr &input, const bool bigEndian)
uint64_t | libpagemaker::readU64 (const RVNGInputStreamPtr &input, bool bigEndian)
int64_t | libpagemaker::readS64 (const RVNGInputStreamPtr &input, const bool bigEndian)
const unsigned char * | libpagemaker::readNBytes (const RVNGInputStreamPtr &input, const unsigned long numBytes)
void | libpagemaker::skip (const RVNGInputStreamPtr &input, unsigned long numBytes)
void | libpagemaker::seek (const RVNGInputStreamPtr &input, const unsigned long pos)
void | libpagemaker::seekRelative (const RVNGInputStreamPtr &input, const long pos)
unsigned long | libpagemaker::getLength (const RVNGInputStreamPtr &input)